Ubuntu

fglrx-installer not working with AMD Radeon/Mobility Radeon HD 2000-4000 cards in Quantal

Reported by Jonathon Fernyhough on 2012-09-28
872
This bug affects 162 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
fglrx-installer (Ubuntu)
Wishlist
Unassigned

Bug Description

Following the AMD decision to change to a new driver support model for Radeon™ HD 4000, HD 3000 and HD 2000 series cards for the legacy 12.6 driver as per http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx , fglrx-installer installs non-working drivers for users of the cards:
AMD Radeon HD 4000 Series
AMD Radeon HD 3000 Series
AMD Radeon HD 2000 Series
AMD Radeon HD Series AGP
AMD Mobility Radeon HD 4000 Series
AMD Mobility Radeon HD 3000 Series
AMD Mobility Radeon HD 2000 Series

I suggest the addition of an fglrx-legacy package to install the AMD legacy drivers for users with older cards or patch the current code base for use with these cards.

One of the outstanding issues for addressing this bug is AMD currently does not plan to support XServer 1.13 (for Ubuntu the package is xserver-xorg-core) for the legacy 12.6 driver, which Quantal uses:
 apt-cache policy xserver-xorg-core
xserver-xorg-core:
  Installed: 2:1.13.0-0ubuntu6
  Candidate: 2:1.13.0-0ubuntu6
  Version table:
 *** 2:1.13.0-0ubuntu6 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/main i386 Packages
        100 /var/lib/dpkg/status

Output for fglrx 9.00 [1]:
# lspci|grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS780L [Radeon HD 3000]
# modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/3.5.0-15-generic/updates/dkms/fglrx.ko): No such device
# dmesg|tail -n3
[ 6785.693869] [fglrx] Maximum main memory to use for locked dma buffers: 7132 MBytes.
[ 6785.694089] [fglrx:firegl_init_device_list] *ERROR* No supported display adapters were found
[ 6785.694091] [fglrx:firegl_init_module] *ERROR* firegl_init_devices failed
# dpkg --list|grep fglrx
ii fglrx 2:9.000-0ubuntu1 amd64 Video driver for the AMD graphics accelerators
ii fglrx-amdcccle 2:9.000-0ubuntu1 amd64 Catalyst Control Center for the AMD graphics accelerators

[1] https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1032672/comments/34

!!!!!!!! WARNING !!!!!!!
The following workaround has produced mixed results and left some users with temporarily broken systems. It is not recommended for production systems or novice users that are not comfortable with basic console/non-GUI recovery. USE AT OWN RISK.
WORKAROUND: sudo add-apt-repository ppa:makson96/fglrx && sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y install fglrx-legacy

This workaround will downgrade X to 1.12 and install the AMD legacy fglrx 8.97 (Catalyst 12.6).

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed

Confirmed.

Does AMD plan to release quarterly updates for the FGLRX driver (as it does with Windows) or is this the end of the line for the (still quite decent) HD4xxx series on Linux?

Dirk Heinrichs (dirk-heinrichs) wrote :

Once again we're trapped by proprietary drivers. I just bought the mainboard containing this Radeon HD 3000 GPU beginning of this year. I've already tried to avoid Nvidia, hoping things will be better with AMD/ATI. Too sad I was wrong. Next time, the winner will surely be Intel.

Neil Burgin (nburgin) wrote :

@Dirk Heinricks: Buying intel because they have the best open-source driver support would be a good idea... if Intel cards weren't so darn wimpy :-(

I don't really understand why AMD and Nvidia keep releasing their drivers as proprietary anyway, it's not as though doing it that way lets them make more money. It just doesn't make any sense.

Anyhoo...

Hmm... according to

http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx

they only say that they won't develop the drivers any more feature-wise. They do say that they'll continue to release "critical updates", which ought to include upgrading to allow for the latest X server. Maybe they just haven't gotten around to it yet, even though they've upgraded their more recent drivers, but if that page is anything to go by there's still a good chance they might update the legacy driver eventually or even soon.

But, in the meantime, the only workaround I see is downgrading to an older version of X which is supported by the legacy driver.

Jaromir Obr (jaromir-obr) wrote :

Do you have an experience with the downgrade of xserver on Ubuntu 12.10 (64-bit), is it usable ?

Neil Burgin (nburgin) wrote :

I have not tried to downgrade to the older xserver. I don't even know the name of the PPA you would use to do that. I hope there is one, because if AMD doesn't update the legacy driver soon I'm going to want to do the workaround. Sure the FOSS driver plays videos and runs my display at full res, but I have to run CPU Mesa for 3D so I can't play a lot of games and Blender gets laggy on high-poly scenes. I want my fully functional fglrx.

This is OT for the bug report, but prior to the new 9.00 release I put together an archive with the 1.12 debs for amd64: http://ubuntuforums.org/showpost.php?p=12263935&postcount=70

I'm going to add a comment to help people Googling this issue. The ATI Mobility M7740 chip, which was one option for the Dell M6500 Mobile Precision laptop, is apparently considered a 4000-series chip, and so is a victim of this AMD policy.

One of the supposed justifications for over-priced "workstation-class" graphics chips was top-notch vendor support. By so cutting short its support of this chip, AMD has demonstrated that they can't be trusted to support workstation-level users.

Unless something radically changes, I can't see buy AMD for my Linux laptops / desktops anymore. What a shame.

Raymond Wells (rfw2nd) wrote :

According to: http://www.x.org/wiki/XorgModuleABIVersions

"Modules reporting they require a incompatible version number will not be loaded unless the -ignoreABI option is used. (Modules can also check ABI versions themselves, and choose which function variant to call or structure variant to access, based on the reported versions - this is the option used by some closed source drivers for instance.) "

In light of this, would it be possible to somehow force the correct ABI version with the new XServer & legacy fglrx driver?

Not sure. I'm not that well versed on the intricacies of the X
server and/or the linux kernel.

I think it would take someone from AMD to say whether or not their
newest driver REALLY needs version 11 of the ABI, or if versions 12/13
are actually okay as well.

On Thu, Oct 4, 2012 at 11:56 AM, Raymond Wells <email address hidden> wrote:
> According to: http://www.x.org/wiki/XorgModuleABIVersions
>
> "Modules reporting they require a incompatible version number will not
> be loaded unless the -ignoreABI option is used. (Modules can also check
> ABI versions themselves, and choose which function variant to call or
> structure variant to access, based on the reported versions - this is
> the option used by some closed source drivers for instance.) "
>
> In light of this, would it be possible to somehow force the correct ABI
> version with the new XServer & legacy fglrx driver?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1059655).
> https://bugs.launchpad.net/bugs/1058040
>
> Title:
> fglrx-installer does not support HD2000-4000 "legacy" cards
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/+subscriptions

Importance is still Undecided?! This is highly important for anyone who has a legacy ATI chip (that is, a lot of people). If ATI won't fix this, then a PPA ought to be set up to allow the Xserver to be safely downgraded to one compatible with the legacy driver.

(As much as I appreciate Jonathan Fernyhough creating a tarball of the debs, I'm afraid to try using that because I'm afraid I might break something if I try to install them.)

Max Bowsher (maxb) wrote :

I have added an ubuntu-release-notes bugtask to this bug, because I think it is appropriate to release-note a warning to users of older ATI hardware that due to AMD/ATI's failure to continue to support their hardware, they will not have the option of using fglrx after updating to Quantal.

Max Bowsher (maxb) wrote :

Additionally, I'd suggest that the release notes mention the "design names" i.e. R600 and R700 series as well as the marketing names, as my hardware, which is affected, doesn't include any "HD2000-4000" style indication in its lspci output:

02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV730 [FirePro V5700]

This worked for me and restored both my temps and performance to normal levels:

http://www.ubuntuvibes.com/2012/10/how-to-install-amd-catalyst-legacy.html

tags: added: amd64 i386 kernel-therm metabug quantal regression-release running-unity xubuntu
removed: fglrx
description: updated
summary: - fglrx-installer does not support HD2000-4000 "legacy" cards
+ fglrx-installer not working with HD2000-4000 "legacy" cards
description: updated
description: updated

I'd like to point out that the makson96 PPA is non-optimal as it downgrades X to 1.12.

(As a side note, is there an important difference between "does not support" and "not working with" that I'm missing?)

description: updated
summary: - fglrx-installer not working with HD2000-4000 "legacy" cards
+ fglrx-installer not working with HD2000-4000 "legacy" cards in Quantal

@jfernyhough : I'm glad that there at least is a PPA to fix it.

For me and everyone else with a legacy radeon card, the loss of fglrx is much, much, much worse than not having whatever little subtle improvements that there were from 1.12 to 1.13. Until AMD updates its driver, I would say that the makson PPA is in fact the most optimal solution we have.

Neil Burgin (nburgin) wrote :

Eh... That is, I would say it was the best solution, if it actually worked... It broke my system and I had to run ppa-purge on it. I might try it again in a week or 2, see if it can get the kinks worked out.

Montblanc (montblanc) wrote :

Installing fglrx-legacy from makson96's ppa didn't work for my RS800 (HD 4200). X segfaults and I only get a black screen, no matter which xorg.conf I use.

Beowulf (s-highlander) wrote :

I have the same problem with [Mobility Radeon HD 4650] on HP Pavilion dv7 2030er

$ sudo modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/3.5.0-17-generic/updates/dkms/fglrx.ko): No such device

Neil Burgin (nburgin) wrote :

@Montblanc: I think that's what happened to me. I didn't check the debugging output so I wasn't aware of any segmentation fault but I know that I was booting by default into a black screen, and I had to but into one of the back-up kernels that grub keeps handy and run ppa-purge.

John Winterton (jwinterton) wrote :

fglrx will not load at all on my AMD/ATI RS780 chip set (on my mobo). Doesn't seem to make much difference, as my system runs just fine in DVI mode, and the one game I have that requires accelerated sound and video operates correctly. The default(?) driver does the job for me.

Description: Ubuntu 12.10
Release: 12.10
fglrx:
  Installed: (none) <--------------------------------------------------
  Candidate: 2:9.000-0ubuntu3
  Version table:
     2:9.000-0ubuntu3 0
        500 http://ca.archive.ubuntu.com/ubuntu/ quantal/restricted amd64 Packages

I am glad to see this discussion. I was wondering if my chipset had had an infant mortality.

description: updated
madbiologist (me-again) wrote :

Re comment #4 - according to http://www.phoronix.com/scan.php?page=news_item&px=MTEzNDA ATI will not be adding support for newer xservers or kernels to their legacy Catalyst (fglrx) driver.

madbiologist (me-again) wrote :

@Neil Burgin - Given that you have not had success in downgrading the xserver using the makson PPA, I thought I would followup on your comment #6. When you say "I have to run CPU Mesa for 3D", are you saying that your system is falling back to Mesa's LLVMpipe software 3D renderer on your CPU and not using hardware accelerated 3D rendering on your GPU? Which ATI card do you have in your system (according to lspci -vvnn |grep VGA) ?

marcel (marcelrf) wrote :

@montblanc Exactly the same behaviour here with an Hp Dv6 with ATI RS880M [Mobility Radeon HD 4200 Series]
I tried both with that ppa and building the packages off the 12.6 legacy driver zip from amd.

Montblanc (montblanc) wrote :

@marcel Indeed. Is HP the only manufacturer providing dual ATI? I have a G62 as you can see in bug #1070531 . I could turn that one into a bug that affects dual ATI laptops from HP, what do you think about that?

Neil Burgin (nburgin) wrote :

@madbiologist: Honestly I had not tried using any 3D accelerated games with the default Open-Source Radeon driver because I assumed it would not work. But I just now tried extreme tux racer and it worked just fine. I guess the open-source 3D graphics driver architecture has advanced by leaps and bounds since the last time I tried to use it, at which point it did not work. (It actually wasn't THAT long ago that I tried to use it, but I'm still sure it's much older than what Ubuntu is currently using because it was on the stable version of Debian :p )

madbiologist (me-again) wrote :

@Neil Burgin - I'm glad to hear that you are satisfied with the performance of the current open-source radeon driver. There have indeed been many recent performance improvements to the open-source radeon 3D graphics driver. This includes radeon KMS page-flipping which was introduced in the 2.6.38 kernel which was used in Ubuntu 11.04 "Natty Narwhal"; and the switch from the classic Mesa 3D driver to the Gallium3D Mesa driver which happened in Mesa 7.9 (used in Ubuntu 10.10) for Radeon X1000 series GPUs and earlier, and in Mesa 7.10.1 (used in Ubuntu 11.04) for Radeon HD 2000 series GPUs and later. There were further Radeon performance improvements in Mesa 8.0 (8.0.4 is currently available in Ubuntu 12.04 "Precise Pangolin") and in Mesa 9.0. Ubuntu 12.10 "Quantal Quetzal" is using Mesa 9.0. Also, kernel 3.4 introduced 2D color tiling support for Radeon HD 5000 and HD 6000 series GPUs, which boosts performance when used in conjunction with Mesa 9.0. Ubuntu 12.10 "Quantal Quetzal" is using a kernel which is based on the upstream 3.5 kernel.

If you ever need more performance from this driver and you have a Radeon HD 2000 or later, support for PCI Express 2.0 (PCI-E 2.0) was finally added to the open-source radeon driver in the 3.6 kernel. This has been shown to increase performance for some OpenGL workloads. A PPA of this kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall it are at https://wiki.ubuntu.com/Kernel/MainlineBuilds

John Winterton (jwinterton) wrote :

It would appear that the need for a proprietary Radeon driver is moot. My system performs well without fglrx.

Daniel Letzeisen (dtl131) wrote :

@John Winterton: my experience (RadeonHD 4550) matches yours, but most mobile users get shorter battery life and higher temps with the open source radeon driver.

John Winterton (jwinterton) wrote :

@Dave Lents: Well, that might make it worth pursuing were I running a laptop. I do understand that the default driver probably runs up the main cpu(s) at high revs and uses the ATI/AMD module strictly as a presentation device, if that. My older Radeon 3000 GPU (AMD RS780 on-board chip set) never was very satisfactory, but this new driver is at least equivalent if not better.

The main 3D game I run is SimCity 4 Deluxe, and it runs a core at 100% all by itself. I'll have to have a look at the system monitor when this is running to see if the second processor on my system is doing more than maintenance things. SC4 was written in about 2000 and is single threaded, no GPU options.

It is really too bad that there cannot be enough air plenum in a laptop to cool the processors properly, but fashion dictates they be thinner and thinner. The penality for this is running hot with gaming. These machines are not not really for gaming, and anyone who expects desktop performance out of them is smoking something truly strange. Of course this makes it impossible to please the 'now' generation who really want games like this on their telephone. *sigh*.

It is hard to believe that the Univac II I first used has become what we have now.

David Jones (dwrjones87) wrote :

My experience is unfortunately quite poor with my Mobility Radeon HD 3650 (RV635)

The dash is slow, it takes a few seconds to come up and if I type anything in it takes a second for it to show what I've typed and even longer to find results. It was so slow that I went straight back to 12.04 where it is all instant, no matter which driver I use

madbiologist (me-again) wrote :

@John Winterton - You are half right. CPU overhead is higher with the open-source radeon driver than with the closed-source Catalyst (fglrx) driver. However the ATI/AMD GPU is used as much more than just a presentation device - most of the 3D calculations and rendering (including parts of Ubuntu's Unity desktop) are done on the GPU. Most of the excess heat produced by the radeon driver compared to the fglrx driver is produced by the GPU. Although there is some basic power management in the radeon driver - see http://www.x.org/wiki/radeonBuildHowTo#radeon-KMS_power-management - not only does the dynpm method not work on some hardware, when it does both it and the profile method only reduce heat and increase battery life partially when compared to the fglrx driver.

That said, there is some work going on to reduce the CPU overhead of the radeon driver. Some improvements were made in Mesa 7.11 (used in Ubuntu 11.10) for both the r300g driver for old hardware up to and including the Radeon X1000 series GPUs and the r600g driver for newer hardware from Radeon HD2000 series and later. There was at least one improvement to the r600g driver in Mesa 9.0 (used in Ubuntu 12.10 "Quantal Quetzal") - see http://cgit.freedesktop.org/mesa/mesa/commit/?id=c76462b45f1e3a0aa2ee7971191e30e8a5f52015 - and already another in the development tree for the future Mesa 9.1 - see http://cgit.freedesktop.org/mesa/mesa/commit/?id=e73bf3b805de78299f1a652668ba4e6eab9bac94

marcel (marcelrf) wrote :

No to be a downer, but my experience with the open source is so poor that it is close to unusable for me. I work with eclipse and I keep on loosing the window, at first I tought eclipse was crashing but all processes were there, is just the windows that were gone from the desktop.

Unity is really really slow, windows managment is also slow to move, close and resize.

In other terms, it is worth going back 12.04 rather that staying with this open source driver.

I didn't even try any 3d game as the performance is so bad I am not even willing to see it go worse.

John Winterton (jwinterton) wrote :

Well, that is interesting on several fronts. The new driver does what I need, so I will stick with it. I am retired and not much of a computer user. People using development suites may have trouble, and this is, as far as I am concerned, an ongoing problem with the driver which, all things being equal, will sort itself out in the future.

@madbiologist: Fair winds and following seas. I have been out of the development world for twenty-odd years now, and am completely out of touch with the inner workings. Getting a driver working with mesa must be quite a challenge. The last time I was involved in writing drivers was in the 1960's for mechanical things like paper tape readers, printers and document handlers. It was nice to be able to go and poke the hardware. When you get done with this, if ever, you will most certainly have an article for the journals (Does Software Practive and Experience still publish?). Keep up the good work, and try not to damage what we have so far.

I can add the AMD Firestream 9250 to the list of affected video cards - just upgraded and I've got the same problems as everyone else in this report. I'll try the open source drivers until I can get enough of a working desktop to investigate further. (I'm having trouble even viewing a website on firefox on a 24" monitor!)

Sean Fitzpatrick, as your AMD Firestream 9250 is not a Radeon™ HD 4000, HD 3000 or HD 2000 series card as noted in the Bug Description and Bug Summary, your problem is not covered by this report. As well, as per http://support.amd.com/us/kbarticles/Pages/AMDCatalystSoftwareSuiteVersion1211BetaReleaseNotes.aspx AMD is still releasing new beta upstream versions of fglrx for your card, while this has not occurred for HD2000-4000 series cards.

Hence, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

For more on this, please see the Ubuntu X.Org Team (maintainers of fglrx-installer), Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Sorry for the mix-up. The problem sounded identical to mine, and I was limited in my abilities to search around since my screen resolution was shot to the point that firefox was too wide to fit on the screen. I've added a new bug and subscribed you as suggested.

Daniel Letzeisen (dtl131) wrote :

@Christopher Penalver: The Firestream 9250 is based on an RV770 (RadeonHD 4x00 series) chip, so it is included in this bug report. I've tried to update the description to be more concise. If you're unsure, consult http://en.wikipedia.org/wiki/Comparison_of_AMD_graphics_processing_units

@Sean Fitzpatrick: I've marked your bug a duplicate of this one.

description: updated

Dave Lentz, thank you for your comments. Regarding them https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/38 :
>"The Firestream 9250 is based on an RV770 (RadeonHD 4x00 series) chip, so it is included in this bug report."

At this point, it is not included, as your point is in direct contradiction to AMD's own website, as noted in https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/36 .

>"I've tried to update the description to be more concise. If you're unsure, consult http://en.wikipedia.org/wiki/Comparison_of_AMD_graphics_processing_units"

Please stop quoting unofficial, non-AMD resources as fact. If it is not from AMD's website, or from an AMD representative, then the information you are providing is untrustworthy, and conjecture. Hence, please do not add this into the description.

>"@Sean Fitzpatrick: I've marked your bug a duplicate of this one."

Please do not mark it a duplicate. For more on this please see above.

Thank you for your understanding.

description: updated
Daniel Letzeisen (dtl131) wrote :

@Christopher Penalver: We've already gone over this. AMD's website often leaves out pertinent information and is not an infallible source of information. I've asked nicely before, but it appears I need to be more forceful: STOP UNDOING MY COMMENTS/EDITS.

Thanks for your understanding...

description: updated
madbiologist (me-again) wrote :

Ok guys, stop fighting. Before changing anything, lets establish the facts. According to Sean's lspci in bug 1075035 he has a:

VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RV770 [FireStream 9250] [1002:9452] (prog-if 00 [VGA controller])
Subsystem: Advanced Micro Devices [AMD] nee ATI Device [1002:0502]

Thats the same ASIC as used in the Radeon HD 4000 series cards - eg. see the description in bug 1071101. It is probably hooked up to a different BIOS but Sean's experience seems to show that it is indeed unsupported by the fglrx driver, despite AMD's claims in the Catalyst 12.11 Beta release notes.

description: updated
Max Bowsher (maxb) wrote :

@Christopher Penalver:

Your comment-less removal of a useful part of the bug description after the confrontations already occurred in this bug is frankly rude. I shall add it back with additional notes.

Max Bowsher (maxb) on 2012-11-06
description: updated
Max Bowsher (maxb) on 2012-11-06
description: updated

Max Bowsher, thank you for your comments. Regarding them https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/42 :
>"Your comment-less removal of a useful part of the bug description after the confrontations already occurred in this bug is frankly rude."

Dave Lentz's additions to the Bug Description are unhelpful. Wikipedia is not a primary source of information about AMD's graphics cards. For more on this please see https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/39 .

>"I shall add it back with additional notes."

Please do not re-add this information to the Bug Description.

Thank you for your understanding.

description: updated
description: updated
Max Bowsher (maxb) wrote :

@ Christopher Penalver:

Why are you so very determined to make this bug's description LESS useful for users?

I have a FirePro V5700 [RV730] which is affected by this. The nomenclature "HD2000-4000" doesn't identify this card at all. The chip information is vastly more useful in identifying whether a given card is likely to be affected, yet you insist on deleting it even after I expanded the wording to document the interesting ambiguity of the FireStreams.

I'll put my revised wording in my comment here, since you deleted it from the description:

--------------------------------------------------------------------------------------
NOTE: It is mostly agreed that all AMD cards based on R(V)6x0 and R(V)7x0 chips are affected - if your board's chip is a member of these families, you should consider this bug report to most likely apply to you. This includes some FirePro/FireGL/FireStream products as well as certain Radeon HD5x00 mobility parts which are rebadged Radeon HD4x00 parts. If unsure, please consult
http://en.wikipedia.org/wiki/Comparison_of_AMD_graphics_processing_units. However there seems to be some question surrounding some FireStream parts containing R7xx chips, which may still be supported by the main Catalyst driver releases according to AMD's website, though bug 1075035 contains as yet inconclusive evidence counter to this.
--------------------------------------------------------------------------------------

As for your reluctance to refer to Wikipedia: if AMD actually provided an official source thsat would be great. Since they don't bother, Wikipedia is a good second best.

Marking Triaged Wishlist, as the issues surrounding this bug report have been identified by the Ubuntu X team as per https://lists.ubuntu.com/archives/ubuntu-x/2012-November/001234.html . Marking Wishlist as per https://wiki.ubuntu.com/Bugs/Importance as this is a bug "that would only be fixed on a outside-contribution basis" in that AMD would need to update the legacy 12.6 driver to support XServer 1.13.

Thank you for your understanding.

Changed in fglrx-installer (Ubuntu):
importance: Undecided → Wishlist
status: Confirmed → Triaged

Gentlemen; please. This is a minor disagreement that is distracting from the main issue. We know that AMD have not yet released drivers for a set of older cards that work with Quantal (or more specifically, xserver 1.13). Let's focus on that.

Max Bowsher, thank you for your comments. Regarding them https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/44 :

>"Why are you so very determined to make this bug's description LESS useful for users?"

What I am determined to do is make sure the the information provided in the Bug Description is accurate, and not misleading. Citing Wikipedia is not helpful on Launchpad, especially in light of how it contradicts AMD's own website, as discussed in https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/39 .

>"I have a FirePro V5700 [RV730] which is affected by this."

You may not be in fact affected by this, but in an even more unfortunate one off case. As per http://support.amd.com/us/psearch/Pages/psearch.aspx?type=2.4.3%3b2.4.5%3b2.4.7&product=2.4.7.3.3.3&contentType=GPU+Download+Detail&ostype=Linux+x86&keywords=&items=20 , the last release specific for your card:
AMD Proprietary Linux x86 Display Beta Driver 8.801 Beta 1/23/2011

However, the Bug Description link http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspx discusses the following hardware:
AMD Radeon HD 4000 Series
AMD Radeon HD 3000 Series
AMD Radeon HD 2000 Series
AMD Radeon HD Series AGP
AMD Mobility Radeon HD 4000 Series
AMD Mobility Radeon HD 3000 Series
AMD Mobility Radeon HD 2000 Series

>"The nomenclature "HD2000-4000" doesn't identify this card at all."

The Bug Title could be less ambiguous. However, the Bug Description, as noted above, does clear up what is covered. Despite this, I'll edit the Bug Title to clear this ambiguity up.

>"The chip information is vastly more useful in identifying whether a given card is likely to be affected"

The information quoted from Wikipedia is not useful and is misleading.

>"even after I expanded the wording to document the interesting ambiguity of the FireStreams."

No ambiguity exists on the FireStream models noted in http://support.amd.com/us/kbarticles/Pages/AMDCatalystSoftwareSuiteVersion1211BetaReleaseNotes.aspx, and as discussed in https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/36 .

As well, it would be demonstrably more helpful if you could please file a new report so we can track your hardware via a terminal:
ubuntu-bug xorg

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

summary: - fglrx-installer not working with HD2000-4000 "legacy" cards in Quantal
+ fglrx-installer not working with AMD Radeon/Mobility Radeon HD 2000-4000
+ cards in Quantal
description: updated
Tomasz Makarewicz (makson96) wrote :

Hi there,
Nice to see, that my PPA: https://launchpad.net/~makson96/+archive/fglrx is working for most of you. As it goes to the rest: try only to downgrade X-Server using my PPA, but install drivers according to this: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/993427/comments/14 . If it works for you, than I might make some improvements during packaging to solve issue. If it still doesn't work, than the driver itself is screwed and there is nothing I can do about that.
Best regards,

P.S. Also generating xorg.conf might help:
sudo amdconfig --initial -f

Max Bowsher (maxb) wrote :

My FirePro V5700 ceased to work with the fglrx driver with the exact same update, in the exact same way, as described here, and has the same underlying chip as Radeon HDs known to be affected.

The AMD website is hardly a shining example of consistency - there's an 8.982 Linux driver offered for the FirePro V5700 at http://support.amd.com/us/Pages/AMDSupportHub.aspx if you select "Workstation Graphics" and "FirePro Performance Pre-WHQL Driver".

The weight of evidence is certainly sufficient to convince me that it's all one issue. If AMD ever come up with a driver that supports the Radeon HD [234]xxx on X server 1.13 but does not support my FirePro, I'll reconsider.

madbiologist (me-again) wrote :

So much for not making any more changes until we establish the facts :(

According to the release notes for the drivers listed at http://support.amd.com/us/gpudownload/fire/previous/Pages/fire_linux.aspx the last driver to support the FirePro V5700 and the FireStream 9250 is 8.911.3.4, released on 20th June 2012. This driver was designed to support Ubuntu 10.10. It's "Known issues" section lists no bugs for the FirePro V5700 or the FireStream 9250 which match this one. The next driver, 8.982.2, released on 7th August 2012, includes support for Ubuntu 11.10 and 12.04, but no longer lists support for the FirePro V5700 or the FireStream 9250. The latest driver is 8.982.8.1, released on 25th September 2012 - it also does not list support for the FirePro V5700 or the FireStream 9250.

Are we in agreement now that AMD has dropped support for these cards?

Also, the chip information that I posted was not from Wikipedia. It was from Sean's lspci.

@Max, can you please give us the output from this?

lspci -vvnn |grep "VGA compatible"

Max Bowsher (maxb) wrote :

lspci has this to say about it:
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV730 [FirePro V5700]

The balance of evidence regarding the FirePro V5700 seems to be support was dropped in 8.982, and the AMD website is just getting it wrong when it offers 8.982.x for the FirePro V5700 in some combinations of clicking through the driver selector forms.

The balance of evidence regarding the FireStream cards seems confused. The PDF release notes linked from individual driver versions at http://support.amd.com/us/gpudownload/fire/previous/Pages/fire_linux.aspx suggest support dropped, whilst http://support.amd.com/us/kbarticles/Pages/AMDCatalystSoftwareSuiteVersion1211BetaReleaseNotes.aspx is contradictory to this, suggesting support continues.

madbiologist (me-again) wrote :

Yes, I noticed that in the Catalyst 12.11 beta release notes too. Even they don't mention the FirePro V5700, so I think we can consider it dropped - what do you say Christopher? Regarding their mention of the FireStream 9250, it would be odd to reintroduce support for a card that was not supported in previous versions and given Max's descriptions of the errors and inconsistencies in other parts of the AMD website I strongly suspect the FireStream 9250 has been mentioned in error. Dave Lentz also thinks so. And it's only a beta driver, not a final version, which means that the release notes are also a beta version and not a final version. The conclusive way to determine this would be to test that driver on the FireStream 9250 on an earlier version of Ubuntu which does not have XServer 1.13.

@Sean, if you are still reading this, are you able to test the Catalyst 12.11 beta driver on Ubuntu 12.04? I'll also ask you this in bug 1075035.

madbiologist / Max Bowsher, thank you for your comments. As this bug report has a clear focus on the Radeon legacy 12.6 drivers for Radeon/Mobility Radeon HD 2000-4000 series cards, the Ubuntu X team (fglrx-installer maintainers) are aware of this problem, AMD is aware of this problem, and this report has been marked Triaged, again, it would be demonstrably more helpful if Max Bowsher creates a new report as requested of him in https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040/comments/47 , so his hardware, driver, and solution may be tracked and addressed appropriately.

This is as per Ubuntu X.Org team (maintainers of fglrx-installer), Ubuntu Bug Control, and Ubuntu Bug Squad policy and preferences:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and the Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

I have failure with both fglrx and fglrx-updates in 12.10, and the 12.11 beta driver fails to install in 12.04. (Although the latter may be because I'm doing something wrong, as I noted in bug 1075035.)

SubOne (subone) wrote :

Clean installed 12.10.
Tried installing latest driver from ATI website, rebooted to no unity and can't even switch to virtual terminals (they just show black screen).
Tried the workaround with the same results.
Let me know if I can provide more information.

ATI Radeon HD 2600XT

So it is safe now to upgrade to 12.10? I did upgrade but ended up going
back to 12.04
El 27/01/2013 09:24, "madbiologist" <email address hidden> escribió:

> This news may be relevant:
>
> http://www.phoronix.com/scan.php?page=news_item&px=MTI4MDE
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1058040
>
> Title:
> fglrx-installer not working with AMD Radeon/Mobility Radeon HD
> 2000-4000 cards in Quantal
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-release-notes/+bug/1058040/+subscriptions
>

Daniel Letzeisen (dtl131) wrote :

@madbiologist: the article incorrectly reports Xserver 1.13 support (the 13-1 legacy driver does not support it), so the news is irrelevant to this bug. The main change in the 13-1 legacy driver is better support for some Steam games.

The makson PPA seems to be more reliable these days (and he/they have upgraded to 13-1 legacy for those interested in Steam games).

Ken Sharp (kennybobs) wrote :

The workaround is no use to those of us using the LTS Precise.

Ken Sharp (kennybobs) wrote :

Precise: Remove any and all fglrx*-updates and fglrx*-experimental packages THEN install fglrx. Trying to do both together gives your computer a fit.

madbiologist (me-again) wrote :

Ken, this bug is specifically about fglrx on Quantal, with it's xserver 1.13.

Ken Sharp (kennybobs) wrote :

That's fine, but I'm not the one that keeps marking my bug as a duplicate of this one.
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1113331

madbiologist (me-again) wrote :

OK Ken, from reading comment #3 in bug 1113331 I can see that you had fglrx-updates installed on Precise and dist-upgraded to Quantal. So you are in fact hitting this bug. Sorry about that. You may wish to try the open-source drivers on Quantal - they are continuing to improve in performance.

Ken Sharp (kennybobs) wrote :

I'm on Precise. I installed fglrx-updates which, for some reason, has had this broken version backported to Precise's fglrx-updates, but you would expect that from fglrx-updates I guess.

fglrx itself has problems and I described my workaround to that at https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1114520

madbiologist (me-again) wrote :

They should be backporting new versions of the fglrx legacy driver to Precise as well, but that would be a different bug.

Alberto Milone (albertomilone) wrote :

Sorry but we cannot introduce a driver in Quantal if it doesn't support Quantal's xserver ABI (1.13). There is nothing we can do if at AMD they don't update their driver.

Changed in fglrx-installer (Ubuntu):
status: Triaged → Won't Fix

Alberto Milone, thank you for addressing this bug report. I agree that due to licensing restrictions, the Ubuntu project is legally forced to not fix AMD's driver for them. As well, from my terse interactions with their customer service department, they are not concerned with their customer's products being broken at a driver level, unless it's new products. However, should we let this cause angst among the Ubuntu Community to see if we may WORKAROUND their bug in a license permissive way, on an an-hoc, special exception basis?

Granted this is wishful thinking, and more than easier said then done. However, if someone comes up with something, it would be cool. if not, thanks for checking in anyways, and trying to take care of us. :)

Ryan Shipe (shipey) wrote :

Any new information on this bug? My HD4650 hates life ever since I upgraded to 12.10 just like everyone else. I have been searching all over the web and trying various things but haven't found a workaround that works yet...thanks!

Daniel Letzeisen (dtl131) wrote :

@Ryan Shipe: Unless AMD suddenly changes their policy, it is not going to be fixed. If you absolutely need fglrx/Catalyst, either go back to Ubuntu 12.04 or get a new card.

Kurt Kellner (kellner-kurt) wrote :

I tried the workaroud, but was not successful. After installing it xserver wouldn't start. I'm not that versed in console commands and couldn't recover it. I finally re-installed my Linux Distro.

FYI:

Linux version: Linux Mint 14 - Cinnammon 64 bit
Hardware:

HP Pavilion dv5
AMD Mobility Radeon HD 4250

if anyone knows another workaround or better open source drivers please do tell.

I have noticed an identical problem in 12.04.2(3.5 kernel with xorg 1.13),

Flgrx also fails to install drivers, the conflict being here is the unsupported xorg 1.13.

I have noticed considerable speed improvements on open source radeon drivers from 3.5 kernel to 3.8 kernel.

Daniel Letzeisen (dtl131) wrote :

@Anton (and other 12.04 users): you'll have to use the xserver-xorg-lts-precise package, and remove the sudo apt-get install xserver-xorg-lts-quantal package.

@ #72 --- installing xserver-xorg-lts-precise package , and removing xserver-xorg-lts-quantal, now flgrx drivers install fine on 12.04.2.

Max Bowsher (maxb) wrote :

The other option for people on Quantal is to upgrade to Raring. There's still no fglrx, but the open source radeon driver has improved a *lot*.

Em 31-03-2013 21:18, Dave Lentz escreveu:
> @Anton (and other 12.04 users): you'll have to use the xserver-xorg-lts-
> precise package, and remove the sudo apt-get install xserver-xorg-lts-
> quantal package.
That is the return:
~$ sudo apt-get install xserver-xorg-lts-precise-package
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
E: Impossível encontrar o pacote xserver-xorg-lts-precise-package

What I do now?

madbiologist (me-again) wrote :

> The other option for people on Quantal is to upgrade to Raring. There's > still no fglrx, but the open source radeon driver has improved a *lot*.

Yes, the Linux 3.6 kernel finally enabled Radeon PCI Express 2.0 support by default and the Linux 3.8 kernel introduces a-synchronous DMA support.

madbiologist (me-again) wrote :

Sorry, I meant to say that the 2 changes I mentioned above have been demonstrated to make the open source Radeon driver much faster.

Pete Graner (pgraner) on 2013-04-22
Changed in ubuntu-release-notes:
status: New → Invalid
Andrew Chin (achin-f) wrote :

How do you remove the xserver-xorg-lts-quantal package?

Alan F (alanfd) wrote :

So, I'm also affected by this, as I have a Mobility Radeon HD 3450/3470, and I'm a little confused about this. I have currently Ubuntu Precise, 12.04.3 LTS
Can I uninstall the xserver-xorg-lts-quantal packages, and replace them with xserver-xorg-lts-precise packages in order to get fglrx working?

Thanks

madbiologist (me-again) wrote :

G'day Andrew and Alan.

According to https://wiki.ubuntu.com/Kernel/LTSEnablementStack if you install the 12.04.0 or 12.04.1 point release and update you will remain on the original Precise stack and not be updated to the Quantal or Raring HWE stacks.

12.04.3 should have the Raring HWE stack with kernel 3.8.x, which should be more performant than the 3.5.x kernel in the Quantal

As for removing the HWE stacks, I have not tried to do so but there are some guidelines at http://askubuntu.com/questions/265999/how-to-remove-kernel-lts-enablement-stack

fglrx is notoriously bad on linux, so if you need UVD support or better power management (DPM), a better option might be to install the 3.12.6 kernel PPA available at http://http://kernel.ubuntu.com/~kernel-ppa/mainline/ - instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

madbiologist (me-again) wrote :

I neglected to say that to use the new DPM power management for the AMD/ATI Radeon you will need to select it at boot by adding radeon.dpm=1 to your GRUB kernel boot options as described at https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot

If you have R700 or newer hardware (other than APUs) you will also need to install the latest AMD graphics microcode (ucode) files to /lib/firmware/radeon
These are available at http://people.freedesktop.org/~agd5f/radeon_ucode/
Get the version ending in "smc".

R700 basically means Radeon HD 4000 series and newer. However note that according to Wikipedia and http://xorg.freedesktop.org/wiki/RadeonFeature/#index5h2 the Mobility Radeon HD 4225/4250 is a RV620 chip, so anyone with one of those shouldn't need the updated firmware files.

Unlike the older dynpm method, the new DPM method works with multiple monitors and there shouldn't be any flickering as the performance level changes are handled by dedicated hardware rather than the driver.

The currently under-development 3.13 upstream kernel enables DPM by default (without needing the radeon.dpm=1 boot parameter I mentioned above) for Radeon HD 4000 through Radeon HD 7000 series graphics processors but with some specific ASICs being excluded.

To post a comment you must log in.